Register Identifiers

Register one or more identifiers for an account.

POST https://api.sonorancms.com/v2/community/accounts/00000000-0000-0000-0000-000000000000/identifiers

Rate limit: 22 requests per minute

Authenticated v2 endpoints are rate limited per credential rather than per IP address.

Register one or more identifiers for an account.

Route Parameters

| Name | Type | Required | Description |

| --- | --- | --- | --- |

| accountId | string (uuid) | Yes | Target accountId. |

Request Body

| Name | Type | Required | Description |

| --- | --- | --- | --- |

| identifiers | array | Yes | See example request for the shape. |

Example Request

local Sonoran = require("sonoran")

local sonoran = Sonoran.createClient({
  product = Sonoran.productEnums.CMS,
  apiKey = "YOUR_API_KEY",
  communityId = "YOUR_COMMUNITY_ID",
  defaultServerId = 1,
  timeoutMs = 30000,
})

local accountId = "00000000-0000-0000-0000-000000000000"
local payload = {
  ["identifiers"] = {
    {
      ["type"] = "discord",
      ["value"] = "1234567890"
    }
  }
}

local response = sonoran.cms:registerAccountIdentifiersV2(accountId, payload)

if response.success then
  print(response.data)
else
  print(response.reason)
end

Response

The data array contains only the identifier type/value pairs that were registered successfully for the account.

Last updated

Was this helpful?